%define anolis_release 1

%global libgtop2_version 2.37.2
%global libhandy_version 1.5.0

Name:           gnome-system-monitor
Version:        44.0
Release:        %{anolis_release}%{dist}

Summary:        Process and resource monitor

License:        GPL-2.0-or-later
URL:            https://wiki.gnome.org/Apps/SystemMonitor
Source0:        https://download.gnome.org/sources/%{name}/44/%{name}-%{version}.tar.xz

Patch0:         0001-gnome-system-monitor-c99.patch

BuildRequires:  gcc
BuildRequires:  gcc-c++
BuildRequires:  meson >= 0.57.0
BuildRequires:  pkgconfig(atkmm-1.6) >= 2.28
BuildRequires:  pkgconfig(giomm-2.4) >= 2.46
BuildRequires:  pkgconfig(glib-2.0) >= 2.56.0
BuildRequires:  pkgconfig(glibmm-2.4) >= 2.46
BuildRequires:  pkgconfig(gmodule-2.0)
BuildRequires:  pkgconfig(gtk+-3.0) >= 3.22.0
BuildRequires:  pkgconfig(gtkmm-3.0) >= 3.3.18
BuildRequires:  pkgconfig(libgtop-2.0) >= 2.37.0
BuildRequires:  pkgconfig(libhandy-1) >= 1.5.0
BuildRequires:  pkgconfig(librsvg-2.0) >= 2.35
BuildRequires:  pkgconfig(libsystemd) >= 44
BuildRequires:  pkgconfig(libxml-2.0) >= 2.0
BuildRequires:  gettext
BuildRequires:  itstool

Requires:       hicolor-icon-theme
Requires:       libgtop2 >= %{installed_version_of libgtop2}
Requires:       libhandy >= %{installed_version_of libhandy}

%description
gnome-system-monitor allows to graphically view and manipulate the running
processes on your system. It also provides an overview of available resources
such as CPU and memory.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{EVR}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%autosetup -p1 -n %{name}-%{version}

%build
%meson
%meson_build

%install
%meson_install

%find_lang %{name} --with-gnome

%files -f %{name}.lang
%license COPYING
%{_bindir}/gnome-system-monitor
%{_datadir}/applications/gnome-system-monitor.desktop
%{_datadir}/applications/gnome-system-monitor-kde.desktop
%{_datadir}/glib-2.0/schemas/org.gnome.gnome-system-monitor.enums.xml
%{_datadir}/glib-2.0/schemas/org.gnome.gnome-system-monitor.gschema.xml
%{_datadir}/gnome-system-monitor/
%{_datadir}/icons/hicolor/scalable/apps/org.gnome.SystemMonitor*.svg
%{_datadir}/icons/hicolor/symbolic/apps/org.gnome.SystemMonitor-symbolic.svg
%{_datadir}/icons/hicolor/symbolic/apps/speedometer-symbolic.svg
%{_metainfodir}/gnome-system-monitor.appdata.xml
%{_datadir}/polkit-1/actions/org.gnome.gnome-system-monitor.policy
%{_libexecdir}/gnome-system-monitor/

%files doc
%doc AUTHORS NEWS README.md

%changelog
* Tue Mar 28 2023 Funda Wang <fundawang@yeah.net> - 44.0-1
- New version 44.0

* Sat Mar 18 2023 yuanhui <yuanhui@linux.alibaba.com> - 44~rc-1
- Init package from upstream
